%define oname rfc6555
%def_without test

Name: python3-module-rfc6555
Version: 0.1.0
Release: alt1

Summary: Python implementation of the Happy Eyeballs Algorithm described in RFC 6555

License: BSD
Group: Development/Python3
Url: https://pypi.org/project/rfc6555/

# Source-url: %__pypi_url %oname
Source: %name-%version.tar

BuildArch: noarch

BuildRequires(pre): rpm-build-intro >= 2.2.5
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools

%if_with test
# generated by epm --restore --dry-run from python3-module-rfc6555/dev-requirements.txt
%py3_buildrequires pytest >= 3.1.1
%py3_buildrequires check-manifest >= 0.35
%py3_buildrequires readme-renderer >= 17.2
%py3_buildrequires mock >= 2.0.0
%py3_buildrequires codecov >= 2.0.9
%endif

# There is wrong comment about selectors2 is optional
# Additionally if you have ``selectors2>=2.0.0`` installed this module will
# also support Jython in addition to CPython
# generated by epm --restore --dry-run from python3-module-rfc6555/setup.py install_requires
%py3_use selectors2

%description
Python implementation of the Happy Eyeballs Algorithm described in RFC 6555.
Provided with a single file and dead-simple API to allow easy vendoring and integration into other projects.

%prep
%setup

%build
%python3_build_debug

%install
%python3_install
%python3_prune

%if_with test
%check
%python3_test
%endif

%files
%doc README.rst CHANGES.rst
%python3_sitelibdir/*

%changelog
* Mon Jul 18 2022 Vitaly Lipatov <lav@altlinux.ru> 0.1.0-alt1
- new version 0.1.0 (with rpmrb script)

* Fri Nov 06 2020 Vitaly Lipatov <lav@altlinux.ru> 0.0.0-alt1
- initial build for ALT Sisyphus
